formatOut='yyyymmdd';
start_date = datenum('10/01/2013'); %Deciding start and end date.
end_date   = datenum('10/29/2013');
dates = (start_date:1:end_date);
N=length(dates);        % Number of days to evaluate
% 
U=zeros(72,6,6);
V=zeros(72,6,6);

% UConstReal=zeros(N-2,6);
% UConst=zeros(N-2,6);
% UAmp12real=zeros(N-2,6);
% UAmp12=zeros(N-2,6);
% UPhi12Real=zeros(N-2,6);
% UPhi12=zeros(N-2,6);
% U2sigmaReal=zeros(N-2,6);
% U2sigma=zeros(N-2,6);
% 
% VConstReal=zeros(N-2,6);
% VConst=zeros(N-2,6);
% VAmp12real=zeros(N-2,6);
% VAmp12=zeros(N-2,6);
% VPhi12Real=zeros(N-2,6);
% VPhi12=zeros(N-2,6);
% V2sigmaReal=zeros(N-2,6);
% V2sigma=zeros(N-2,6);
% UgofReal=zeros(N-2,6);
% VgofReal=zeros(N-2,6);
% Ugof=zeros(N-2,6);
% Vgof=zeros(N-2,6);

for Ncurr=1:N
    
    U(1:48,:,:)=U(25:72,:,:);
    V(1:48,:,:)=V(25:72,:,:);
    if Ncurr>1
        U(1:48,:,3)=U(1:48,:,3)-24;
        V(1:48,:,3)=V(1:48,:,3)-24; 
    end
    U(49:72,:,:)=loadUV(strcat('UVerrorfikset/',datestr(dates(Ncurr),formatOut),'U'));
    V(49:72,:,:)=loadUV(strcat('UVerrorfikset/',datestr(dates(Ncurr),formatOut),'V'));
  
    U(49:72,:,3)=U(49:72,:,3)+24;
    V(49:72,:,3)=V(49:72,:,3)+24;
 
    if Ncurr>2&&Ncurr<=N
        
        for i=1:6
            if antallPunkter(U(:,i,1))>1
                if Ncurr>3
                    [RUreal, coeffUreal,gofUreal]=fit12(U(:,i,3),U(:,i,1),1./U(:,i,2).^2,[U12real(Ncurr-3,i,1) UPhiReal(Ncurr-3,i) UConstReal(Ncurr-3,i)]);
                    [RVreal, coeffVreal,gofVreal]=fit12(V(:,i,3),V(:,i,1),1./V(:,i,2).^2,[U12(Ncurr-3,i,1) UPhi(Ncurr-3,i,1) UConst(Ncurr-3,i,1)]);
                    [RU, coeffU,gofU]=fit12((0.5:1:71.5)',U(:,i,1),1./U(:,i,2).^2,[V12real(Ncurr-3,i) VPhiReal(Ncurr-3,i) VConstReal(Ncurr-3,i)]);
                    [RV, coeffV,gofV]=fit12((0.5:1:71.5)',V(:,i,1),1./V(:,i,2).^2,[V12(Ncurr-3,i) VPhi(Ncurr-3,i) VConst(Ncurr-3,i)]);
                else
                    [RUreal, coeffUreal,gofUreal]=fit12(U(:,i,3),U(:,i,1),1./U(:,i,2).^2,[7,0.5,1]);
                    [RVreal, coeffVreal,gofVreal]=fit12(V(:,i,3),V(:,i,1),1./V(:,i,2).^2,[7,0.5,1]);
                    [RU, coeffU,gofU]=fit12((0.5:1:71.5)',U(:,i,1),1./U(:,i,2).^2,[7,0.5,1]);
                    [RV, coeffV,gofV]=fit12((0.5:1:71.5)',V(:,i,1),1./V(:,i,2).^2,[7,0.5,1]);
                end
                U12real(Ncurr-2,i,1)=RUreal(1); 
                UPhiReal(Ncurr-2,i,1)=RUreal(2); 
                UConstReal(Ncurr-2,i,1)=RUreal(3);
                U12(Ncurr-2,i,1)=RU(1); 
                UPhi(Ncurr-2,i,1)=RU(2); 
                UConst(Ncurr-2,i,1)=RU(3);
                
                V12real(Ncurr-2,i,1)=RVreal(1); 
                VPhiReal(Ncurr-2,i,1)=RVreal(2); 
                VConstReal(Ncurr-2,i,1)=RVreal(3);
                V12(Ncurr-2,i,1)=RV(1); 
                VPhi(Ncurr-2,i,1)=RV(2); 
                VConst(Ncurr-2,i,1)=RV(3);
                
                U12real(Ncurr-2,i,2)=coeffUreal(1,1); U12real(Ncurr-2,i,3)=coeffUreal(2,1); 
                UPhiReal(Ncurr-2,i,2)=coeffUreal(1,2);  UPhiReal(Ncurr-2,i,3)=coeffUreal(2,2); 
                UConstReal(Ncurr-2,i,2)=coeffUreal(1,3);   UConstReal(Ncurr-2,i,3)=coeffUreal(2,3);
                U12(Ncurr-2,i,2)=coeffU(1,1);  U12(Ncurr-2,i,3)=coeffU(2,1); 
                UPhi(Ncurr-2,i,2)=coeffU(1,2);   UPhi(Ncurr-2,i,3)=coeffU(2,2); 
                UConst(Ncurr-2,i,2)=coeffU(1,3);  UConst(Ncurr-2,i,3)=coeffU(2,3);
                
                V12real(Ncurr-2,i,2)=coeffVreal(1,1);V12real(Ncurr-2,i,3)=coeffVreal(2,1); 
                VPhiReal(Ncurr-2,i,2)=coeffVreal(1,2);  VPhiReal(Ncurr-2,i,3)=coeffVreal(2,2); 
                VConstReal(Ncurr-2,i,2)=coeffVreal(1,3);   VConstReal(Ncurr-2,i,3)=coeffVreal(2,3);
                V12(Ncurr-2,i,2)=coeffV(1,1);  V12(Ncurr-2,i,3)=coeffV(2,1); 
                VPhi(Ncurr-2,i,2)=coeffV(1,2);   VPhi(Ncurr-2,i,3)=coeffV(2,2); 
                VConst(Ncurr-2,i,2)=coeffV(1,3);  VConst(Ncurr-2,i,3)=coeffV(2,3);
                
                U12real(Ncurr-2,i,4)=gofUreal.rsquare;
                V12real(Ncurr-2,i,4)=gofVreal.rsquare;
                U12(Ncurr-2,i,4)=gofU.rsquare;
                V12(Ncurr-2,i,4)=gofV.rsquare;   
                
                clear RU;
                clear RV;
                clear RUreal;
                clear RVreal;
                clear coeffU;
                clear coeffV;
                clear coeffUreal;
                clear coeffVreal;
            end
        end
    end

    
end