function [amp12, clevel12, gof]=fit123(t,U,W,old12)
sigma=0.67;
k=1;
nans=0;

for i=1:length(t)
    if isnan(U(i));
        nans(k)=i;
        k=k+1;
    end
end
if antallPunkter(U)<=2*length(U)/3;    
    amp12=nan(1,3);
    clevel12=nan(2,3);
    gof=NaN;
else
FT=fittype('A*cos(x*2*pi/12+phi)+Z', 'independent','x', 'dependent', 'y');
opts = fitoptions( FT );
opts.Display = 'Off';
opts.Lower = [0 -2*pi -inf];
opts.Upper = [inf 2*pi inf];
opts.Weight=W;
if sum(nans)>0;
opts.exclude=excludedata(t,U,'Indices',nans);
end

if old12(1)>2&&old12(1)<200;
    opts.StartPoint = old12;
else
    opts.StartPoint = [7,0.5,1];
end


[R, gof1]=fit(t,U, FT, opts);
gof=gof1.rsquare;
% figure(4)
% plot(t,U(:))
% hold on
% plot(R)
% hold off
amp12(:,:)=coeffvalues(R);
clevel12(:,:)=confint(R,sigma);
% plot(t,U)
% hold on
plot(R)
end
end