function TH = getTH(DATA)
%This function takes the dataset DATA and returns indicies in TH sorted in
%height and time.
T1=findTimeIndex(DATA); %Finds the first timeindicies for each hour of data.
Ks=[1 1 1 1 1 1];%These are indicies for the different heights.
for i = 1:24;
    K1=T1(i,1);
    K2=T1(i,2); %Starting index for each hour.
    if K1~=K2;
    for j =K1:K2 ;
        H=DATA(j,4);        
        if H>=81 && H<99 && DATA(j,9)==1&&DATA(j,7)>10&&DATA(j,7)<60; %These are the middle height indicies. 
            J=floor(1/3*(H-81))+1;
            TH(i,J,Ks(J))=j;
            Ks(J)=Ks(J)+1;
        end       
    end
    else
        TH(i,:,1)=1;
    end
    Ks=[1 1 1 1 1 1 1 1];
end

