function [fitResults, gof] = findUV(x,y,Vr,W)

ft=fittype('U*sind(x)*cosd(y)+V*sind(x)*sind(y)', 'indep',{'x','y'},'depend','z');
opts = fitoptions(ft);
opts.Display='off';
opts.Lower=[-Inf -Inf];
opts.Startpoint=[0.7 0.6];
opts.Upper=[Inf Inf];
% opts.Weight=W;  %If one wishes to weight the points, one can simply
% uncomment this line.
[fitResults, gof]=fit([x,y],Vr,ft,opts);