function getUV(DATA,fileName)
TH=THnow(DATA); %TH(tid,hyde,indekser)
U=zeros(24,6,6);
V=zeros(24,6,6);

for i=1:24
    for j=1:6
        l=lengde(TH(i,j,:));
        if l>=3;
        x=DATA(TH(i,j,1:l),7);
        y=DATA(TH(i,j,1:l),8);
        v=DATA(TH(i,j,1:l),5);
        W=0*x+1;%Optional weighting of the different points. No weighting 
        R=findUV(x,y,v,W);
        coeff=coeffvalues(R);
        cint=confint(R,0.68);%2sigma chosen as confidence level.
        else
        cint=[NaN, NaN;NaN,NaN];
        coeff=[NaN NaN];
        end
%         if max(coeff)>340;
%              cint=[NaN, NaN;NaN,NaN];
%              coeff=[NaN NaN];
%         end
        
        U(i,j,1)=coeff(1,1);        
        V(i,j,1)=coeff(1,2);        
        U(i,j,2)=abs(coeff(1,1)-cint(1,1));
        V(i,j,2)=abs(cint(2,2)-coeff(1,2)); 
        U(i,j,3)=time2num(mean(DATA(TH(i,j,1:l),2)));
        V(i,j,3)=U(i,j,3);
        U(i,j,4)=time2num(std(DATA(TH(i,j,1:l),2)));
        V(i,j,4)=U(i,j,4);
        U(i,j,5)=l;
        V(i,j,5)=l;
        
    end
end
for i=1:6
    if antallPunkter(U(:,i,1))>1
    RU=fitInterpolant(U(:,i,3),U(:,i,1));
    RV=fitInterpolant(V(:,i,1),V(:,i,1));
    U(:,i,6)=U(:,i,1)-RU((0.5:1:23.5)');
    V(:,i,6)=V(:,i,1)-RV((0.5:1:23.5)');
    clear RU;
    clear RV;
    end
end
dlmwrite(strcat(fileName,'U'), U(:,:,:), 'delimiter', '\t', 'precision', 6);
dlmwrite(strcat(fileName,'V'), V(:,:,:), 'delimiter', '\t', 'precision', 6);
clear U;
clear V;