datoer;
for i=1:length(dates);
    
day=Dates(i,:);
DAY=datenum(day);
formatOut='yyyymmdd';
formatOut2='dd.mm.yyyy';
start_date = DAY-15; %Deciding start and end date.
end_date   = DAY+15;
dates = (start_date:1:end_date);
N=length(dates);        % Number of days to evaluate
% 
U=zeros(N*24,6,6);
V=zeros(N*24,6,6);
Udag=zeros(72,6,6);
Vdag=zeros(72,6,6);
mkdir(fullfile('c:\Users\Kjetil\Documents\MATLAB\Master\Plots',datestr(DAY,formatOut2)));


titles=['Number of meteors per hour compared to the average at that hour over the period 81-84 km','Number of meteors per hour compared to the average at that hour over the period 84-87 km','Number of meteors per hour compared to the average at that hour over the period 87-90 km','Number of meteors per hour compared to the average at that hour over the period 90-93 km','Number of meteors per hour compared to the average at that hour over the period 93-96 km','Number of meteors per hour compared to the average at that hour over the period 96-99 km'];

%Lagre dagen som skal evalueres pluss minus femten dager i samme variabel

for Ncurr=1:N
    U(1+(Ncurr-1)*24:Ncurr*24,:,:)=loadUV(strcat('UVerror/',datestr(dates(Ncurr),formatOut),'U'));
    V(1+(Ncurr-1)*24:Ncurr*24,:,:)=loadUV(strcat('UVerror/',datestr(dates(Ncurr),formatOut),'V'));
end


%Finne diverse gjennomsnittlige mengder for perioden.

avgNU=zeros(24,6);
avgNV=zeros(24,6);
avgT=zeros(24,6);


for m=1:24
    Utemp=zeros(N,6);
    Vtemp=zeros(N,6);
    Ttemp=zeros(N,6);
    for j=1:N
        
        Utemp(j,:)=U((j-1)*24+m,:,5);
        Vtemp(j,:)=U((j-1)*24+m,:,5);
        Ttemp(j,:)=U((j-1)*24+m,:,3)-m+1;
    end
    avgNU(m,:)=minMedian(Utemp,0);
    avgNV(m,:)=minMedian(Vtemp,0);
    avgT(m,:)=gjennomsnitt(Ttemp(:,:),0);
    varN(m,:)=std(Utemp);
end

%Rette opp strengen med tidspunkter, s den er stigende.

for n=1:N
    for j=1:24
        U((n-1)*24+j,:,3)=U((n-1)*24+j,:,3)+(n-1)*24;
        V((n-1)*24+j,:,3)=V((n-1)*24+j,:,3)+(n-1)*24;
    end
end

%Finner verdier for dn/dt

derN=findDerivative(U(:,:,3),U(:,:,5));

%Ta inn dagen som skal evalueres, dagen fr og dagen etter:
Udag(1:24,:,:)=loadUV(strcat('UVerror/',datestr(DAY-1,formatOut),'U'));
Udag(25:48,:,:)=loadUV(strcat('UVerror/',datestr(DAY,formatOut),'U'));
Udag(49:72,:,:)=loadUV(strcat('UVerror/',datestr(DAY+1,formatOut),'U'));
Udag(1:24,:,3)=Udag(1:24,:,3)-24;
Udag(49:72,:,3)=Udag(49:72,:,3)+24;
Vdag(1:24,:,:)=loadUV(strcat('UVerror/',datestr(DAY-1,formatOut),'V'));
Vdag(25:48,:,:)=loadUV(strcat('UVerror/',datestr(DAY,formatOut),'V'));
Vdag(49:72,:,:)=loadUV(strcat('UVerror/',datestr(DAY+1,formatOut),'V'));
Vdag(1:24,:,3)=Vdag(1:24,:,3)-24;
Vdag(49:72,:,3)=Vdag(49:72,:,3)+24;
%Lagrer dn/dt for aktuell dag.
derNdag=findDerivative(Udag(:,:,3),Udag(:,:,5));



makePlot;
end
    
