formatOut='yyyymmdd';
start_date = datenum('10/02/2013'); %Deciding start and end date.
end_date = datenum('10/28/2013');
dates = (start_date:1:end_date);
tol=0;

    
% DAY=dates(R);

formatOut='yyyymmdd';
formatOut2='yyyy.mm.dd';
% start_date = DAY-15; %Deciding start and end date.
% end_date   = DAY+15;
Dates = (start_date:1:end_date);
N=length(Dates);        % Number of days to evaluate
% 
U=zeros(N*24,6,6);
V=zeros(N*24,6,6);
% Udag=zeros(72,6,6);
% Vdag=zeros(72,6,6);

%Ta inn dagen som skal evalueres, dagen fr og dagen etter:
% Udag(1:24,:,:)=loadUV(strcat('UVerrorFikset/',datestr(DAY-1,formatOut),'U'));
% Udag(25:48,:,:)=loadUV(strcat('UVerrorFikset/','October','U'));
% Udag(49:72,:,:)=loadUV(strcat('UVerrorFikset/',datestr(DAY+1,formatOut),'U'));
% Udag(1:24,:,3)=Udag(1:24,:,3)-24;
% Udag(49:72,:,3)=Udag(49:72,:,3)+24;
% Vdag(1:24,:,:)=loadUV(strcat('UVerrorFikset/',datestr(DAY-1,formatOut),'V'));
% Vdag(25:48,:,:)=loadUV(strcat('UVerrorFikset/','October','V'));
% Vdag(49:72,:,:)=loadUV(strcat('UVerrorFikset/',datestr(DAY+1,formatOut),'V'));
% Vdag(:,:,3)=Udag(:,:,3);
% %Lagrer dn/dt for aktuell dag.
% derNdag=findDerivative(Udag(:,:,3),Udag(:,:,5));

% if max(max(abs(Udag(25:48,:,6))-abs(Udag(25:48,:,2))))>tol||max(max(abs(Vdag(25:48,:,6))-abs(Vdag(25:48,:,2))))>tol
%     mkdir(fullfile('c:\Users\Kjetil\Documents\MATLAB\Master\Plots\highErrors2','October'));


%titles=['Number of meteors per hour compared to the average at that hour over the period 81-84 km','Number of meteors per hour compared to the average at that hour over the period 84-87 km','Number of meteors per hour compared to the average at that hour over the period 87-90 km','Number of meteors per hour compared to the average at that hour over the period 90-93 km','Number of meteors per hour compared to the average at that hour over the period 93-96 km','Number of meteors per hour compared to the average at that hour over the period 96-99 km'];

%Lagre dagen som skal evalueres pluss minus femten dager i samme variabel

for Ncurr=1:N
    U(1+(Ncurr-1)*24:Ncurr*24,:,:)=loadUV(strcat('UVerrorFikset/',datestr(Dates(Ncurr),formatOut),'U'));
    V(1+(Ncurr-1)*24:Ncurr*24,:,:)=loadUV(strcat('UVerrorFikset/',datestr(Dates(Ncurr),formatOut),'V'));
end


%Finne diverse gjennomsnittlige mengder for perioden.

avgNU=zeros(24,6);
avgNV=zeros(24,6);
avgT=zeros(24,6);


for i=1:24
    Utemp=zeros(N,6);
    Vtemp=zeros(N,6);
    Ttemp=zeros(N,6);
    for j=1:N
        
        Utemp(j,:)=U((j-1)*24+i,:,5);
        Vtemp(j,:)=U((j-1)*24+i,:,5);
        Ttemp(j,:)=U((j-1)*24+i,:,3)-i+1;
    end
    avgNU(i,:)=minMedian(Utemp,0);
    avgNV(i,:)=minMedian(Vtemp,0);
    avgT(i,:)=gjennomsnitt(Ttemp(:,:),0);
    varN(i,:)=std(Utemp);
end

%Rette opp strengen med tidspunkter, s den er stigende.

for i=1:N
    for j=1:24
        U((i-1)*24+j,:,3)=U((i-1)*24+j,:,3)+(i-1)*24;
        V((i-1)*24+j,:,3)=V((i-1)*24+j,:,3)+(i-1)*24;
    end
end

%Finner verdier for dn/dt

% derN=findDerivative(U(:,:,3),U(:,:,5));
% makePlot;
% end






heights= ['81-84';'84-87';'87-90';'90-93';'93-96';'96-99'];
start=strcat('Plots/highErrorsMonth/','October','/');
T=zeros(N*24,6);
Tex=zeros(N*24,6);

Uexcluded=NaN*ones(length(U),6);
Vexcluded=NaN*ones(length(V),6);
% U(:,:,2)=sqrt(1./U(:,:,2));
for i=1:length(U)
    for j=1:6
     if isnan(U(i,j,2))
         Uexcluded(i,j)=1;
     elseif abs(U(i,j,6))>abs(U(i,j,2))       %Removing insignificant datapoints from plot
         Uexcluded(i,j)=1;
     end     
    end
end
for i=1:length(V)
    for j=1:6
     if isnan(V(i,j,2))
         Vexcluded(i,j)=1;
     elseif abs(V(i,j,6))>abs(V(i,j,2))      %Removing insignificant datapoints from plot
         Vexcluded(i,j)=1;
     end
    end
end

avgnu3=avgNU;
avgnu3(25:48,:)=avgNU;
avgnu3(49:72,:)=avgNU;
for i=1:N-1
   for j=1:24
        avgnu3(i*24+j,:)=avgNU(j,:);       
   end
end



for i=1:6
     
        Tex(:,i)=U(:,i,3).*Uexcluded(:,i)./24.*start_date;
%         T(:,i)=U(:,i,3)-(-23.5:1:47.5)';
        figure(i+30)
        subplot(3,1,1)
        plot(Tex(:,i),U(:,i,5)./avgnu3(:,i),'X')
        xlabel('time of day')
        ylabel('n/avg(n)')
%         datetick('x','dd/mm/yyyy','keepticks')
        title(strcat('Relative number of meteors, ','October',' at ',heights(i,:),' km, U'))
%         subplot(4,1,4)
%         plot(-23.5:1:47.5,T(:,i));
%         xlabel('Hour of day')
%         ylabel('Deviation in time from centre of hour')
%         title(strcat('Hourly deviations from the centre of each hour through the day ',heights(i,:),' km'))
        subplot(3,1,2)
        plot(Tex(:,i),abs(U(:,i,6)),'X')
        title(strcat('Error induced by time deviation based on interpolant at ',heights(i,:),' km'))
        ylabel('Error (m/s)')
        xlabel('Time of day')
        %datetick('x','dd/mm/yyyy','keepticks')
        subplot(3,1,3)
        plot(Tex(:,i),abs(U(:,i,6))-abs(U(:,i,2)),'X')
        title(strcat('Difference between the error induced by time deviation based on interpolant at ',heights(i,:),' km and the 2 sigma error of the wind speed at that time.'))
        ylabel('Error (%)')
        xlabel('Time of day')
       % datetick('x','dd/mm/yyyy','keepticks')
        saveas(figure(i+30),strcat(start,'collectivePlotU_','October','_',heights(i,:)),'fig')
   
    

        Tex(:,i)=V(:,i,3).*Vexcluded(:,i)./24.*start_date;
%         T(:,i)=V(:,i,3)-(-23.5:1:47.5)';
        figure(i+36)
        subplot(3,1,1)
        plot(Tex(:,i),V(:,i,5)./avgnu3(:,i),'X')
        xlabel('time of day (h)')
        ylabel('n/avg(n)')
       % datetick('x','dd/mm/yyyy','keepticks')
        title(strcat('Relative number of meteors, ','October',' at ',heights(i,:),' km, V'))
%         subplot(4,1,4)
%         plot(-23.5:1:47.5,T(:,i));
%         xlabel('Hour of day')
%         ylabel('Deviation in time from centre of hour')
%         title(strcat('Hourly deviations from the centre of each hour through the day ',heights(i,:),' km'))
        subplot(3,1,2)
        plot(Tex(:,i),abs(V(:,i,6)),'X')
        title(strcat('Error induced by time deviation based on interpolant at ',heights(i,:),' km'))
        ylabel('Error (m/s)')
        xlabel('Time of day')
       % datetick('x','dd/mm/yyyy','keepticks')
        subplot(3,1,3)
        plot(Tex(:,i),abs(V(:,i,6))-abs(V(:,i,2)),'X')
        title(strcat('Difference between the error induced by time deviation based on interpolant at ',heights(i,:),' km and the 2 sigma error of the wind speed at that time.'))
        ylabel('Error (%)')
        xlabel('Time of day')
       % datetick('x','dd/mm/yyyy','keepticks')
        saveas(figure(i+36),strcat(start,'collectivePlotV','October','_',heights(i,:)),'fig')
  
end

