formatOut='yyyymmdd';
start_date = datenum('09/11/2012'); %Deciding start and end date.
end_date =   datenum('08/22/2013');
dates = (start_date:1:end_date);
N=length(dates);        % Number of days to evaluate
% 
U=zeros(N*8,3,6);
V=zeros(N*8,3,6);

    
titles=['Number of meteors per hour compared to the average at that hour over the period 81-84 km','Number of meteors per hour compared to the average at that hour over the period 84-87 km','Number of meteors per hour compared to the average at that hour over the period 87-90 km','Number of meteors per hour compared to the average at that hour over the period 90-93 km','Number of meteors per hour compared to the average at that hour over the period 93-93 km','Number of meteors per hour compared to the average at that hour over the period 93-99 km'];
for Ncurr=1:N
    U(1+(Ncurr-1)*8:Ncurr*8,:,:)=loadUV3(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'U'));
    V(1+(Ncurr-1)*8:Ncurr*8,:,:)=loadUV3(strcat('UVerrorFikset3/',datestr(dates(Ncurr),formatOut),'V'));
end
% Udag=loadUV('UVerror/20130321U');
% Vdag=loadUV('UVerror/20130321V');

% avgNU=zeros(8,3);
% avgNV=zeros(8,3);
% avgT=zeros(8,3);


% for i=1:8    
%     Utemp=zeros(N,3);
%     Vtemp=zeros(N,3);
%     Ttemp=zeros(N,3);
%     for j=1:N
%         
%         Utemp(j,:)=U((j-1)*8+i,:,5);
%         Vtemp(j,:)=U((j-1)*8+i,:,5);
%         Ttemp(j,:)=U((j-1)*8+i,:,3)-i+1;
%     end
%     avgNU(i,:)=minMedian(Utemp,0);
%     avgNV(i,:)=minMedian(Vtemp,0);
%     avgT(i,:)=gjennomsnitt(Ttemp(:,:),0);
%     varN(i,:)=std(Utemp);
% end
% 
% 
% figure(8)
% plot(avgNU(:,3),'r')
% hold on
% plot(avgNU(:,5),'y')
% plot(avgNU(:,2),'b')
% plot(avgNU(:,3),'g')
% plot(avgNU(:,2),'.')
% plot(avgNU(:,1))
% legend('93-99','93-93','90-93','87-90','84-87','81-84')
% title('Average number of meteors for each hour of the day over the period')
% hold off
% tempT=0.5:1:23.5;
% figure(9)
% plot(avgT(:,4)-0.5)
% hold on
% plot(avgT(:,5)-0.5,'*')
% title('Average times for the meteors')

% for i=1:8
%     for j=1:N
%         Un((j-1)*8+i,1:3)=U((j-1)*8+i,1:3,5)./avgNU(i,1:3);
%         Vn((j-1)*8+i,1:3)=V((j-1)*8+i,1:3,5)./avgNV(i,1:3);
%     end
% end
% 
for i=1:N
    for j=1:8
        U((i-1)*8+j,:,3)=U((i-1)*8+j,:,3)+(i-1)*24;
        V((i-1)*8+j,:,3)=V((i-1)*8+j,:,3)+(i-1)*24;
    end
end
% derU=findDerivative(U(:,:,3),U(:,:,5));
% 
% for i=1:3
%     figure(i)
%     plot(U(:,i,3),Un(:,i))
%     title(titles(i))
% end

        
    
