
heights= ['81-87';'87-93';'93-99'];
h=(84:6:96)';


Uexcluded=NaN*U12(:,:,1);
Vexcluded=NaN*V12(:,:,1);
Urealexcluded=NaN*U12real(:,:,1);
Vrealexcluded=NaN*V12real(:,:,1);
for i=1:length(U12)
    for j=1:3
         if ~isnan(U12real(i,j,2))
             Urealexcluded(i,j)=0;
         elseif U12real(i,j,2)>=0         %Removing insignificant datapoints from plot
             Urealexcluded(i,j)=0;
         end
         if ~isnan(V12real(i,j,2))
             Vrealexcluded(i,j)=0;
         elseif V12real(i,j,2)>=0
             Vrealexcluded(i,j)=0;
         end
          if ~isnan(U12(i,j,2))
             Uexcluded(i,j)=0;
         elseif U12(i,j,2)>=0         %Removing insignificant datapoints from plot
             Uexcluded(i,j)=0;
         end
         if ~isnan(V12(i,j,2))
             Vexcluded(i,j)=0;
         elseif V12(i,j,2)>=0
             Vexcluded(i,j)=0;
         end
    end
end

figure()
subplot(2,1,1)
[C,H]=contourf(dates,h,(U12(:,:,1)-Uexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Zonal  (a)','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)

subplot(2,1,2)
[C,H]=contourf(dates,h,(U12real(:,:,1)-Urealexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('(b)','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)


figure()
subplot(2,1,1)
[C,H]=contourf(dates,h,(V12(:,:,1)-Vexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Meridional (a)','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)

subplot(2,1,2)
[C,H]=contourf(dates,h,(V12real(:,:,1)-Vrealexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('(b)','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)

figure()
subplot(2,1,1)
[C,H]=contourf(dates,h,(U12real(:,:,1)-U12(:,:,1)+Uexcluded(:,:)+Urealexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Difference in semidiurnal amplitude, Zonal','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)


subplot(2,1,2)
[C,H]=contourf(dates,h,(V12real(:,:,1)-V12(:,:,1)+Vexcluded(:,:)+Vrealexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Difference in semidiurnal amplitude, Meridional','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)


figure()
subplot(2,1,2)
[C,H]=contourf(dates,h,((U12real(:,:,1)-U12real(:,:,2))+Urealexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Sigma error, real time, Zonal','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)


subplot(2,1,1)
[C,H]=contourf(dates,h,((U12(:,:,1)-U12(:,:,2))+Uexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Sigma error, middle time, zonal','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)

figure()
subplot(2,1,2)
[C,H]=contourf(dates,h,(V12real(:,:,1)-V12real(:,:,2)+Vrealexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Sigma error, real time, Meridional','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)


subplot(2,1,1)
[C,H]=contourf(dates,h,(V12(:,:,1)-V12(:,:,2)+Vexcluded(:,:))',100);
% set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
set(gca,'Xcolor','k')
set(gca,'Ycolor','k')
set(H,'LineColor','none');
% colormap(hsv(1212))
colorbar('Color','k');
% set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
datetick('x','dd/mm/yyyy','keepticks')
title('Sigma error, middle time, meridional','Color','k', 'Fontsize', 25)
xlim([dates(1),dates(29)])
ylim([83,98])
xlabel('Time (day)','Color','k', 'Fontsize', 25)
ylabel('Height (km)','Color','k', 'Fontsize', 25)




% figure()
% subplot(2,1,1)
% [C,H]=contourf(dates,h,(U12real(:,:,3)-U12real(:,:,2)+U12(:,:,3)-U12(:,:,2)-Urealexcluded(:,:))',100);
% % set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
% set(gca,'Xcolor','k')
% set(gca,'Ycolor','k')
% set(H,'LineColor','none');
% % colormap(hsv(1212))
% colorbar('Color','k');
% % set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
% datetick('x','dd/mm/yyyy','keepticks')
% title('Sigma error of semidiurnal amplitude, real time, Zonal','Color','k', 'Fontsize', 25)
% xlim([dates(1),dates(29)])
% ylim([83,98])
% xlabel('Time (day)','Color','k', 'Fontsize', 25)
% ylabel('Height (km)','Color','k', 'Fontsize', 25)
% 
% 
% subplot(2,1,2)
% [C,H]=contourf(dates,h,(V12real(:,:,3)-V12real(:,:,2)+V12(:,:,3)-V12(:,:,2)-Urealexcluded(:,:))',100);
% % set(gca,'CLim',,max(max(Utemp12(:,:,1)))]);
% set(gca,'Xcolor','k')
% set(gca,'Ycolor','k')
% set(H,'LineColor','none');
% % colormap(hsv(1212))
% colorbar('Color','k');
% % set(gca,'XTick',[dates(22) dates(53), dates(83) dates(114) dates(145) dates(173) dates(204)])
% datetick('x','dd/mm/yyyy','keepticks')
% title('Sigma error of semidiurnal amplitude, real time, Meridional','Color','k', 'Fontsize', 25)
% xlim([dates(1),dates(29)])
% ylim([83,98])
% xlabel('Time (day)','Color','k', 'Fontsize', 25)
% ylabel('Height (km)','Color','k', 'Fontsize', 25)




% start=strcat('Plots/highErrors2/',datestr(DAY,formatOut2),'/');
% T=zeros(72,6);
% Tex=zeros(72,6);
% 
% Uexcluded=NaN*ones(length(Udag),6);
% Vexcluded=NaN*ones(length(Vdag),6);
% % Udag(:,:,2)=sqrt(1./Udag(:,:,2));
% for i=1:length(Udag)
%     for j=1:6
%      if isnan(Udag(i,j,2))
%          Uexcluded(i,j)=1;
%      elseif abs(Udag(i,j,6))>abs(Udag(i,j,2))       %Removing insignificant datapoints from plot
%          Uexcluded(i,j)=1;
%      end     
%     end
% end
% for i=1:length(Vdag)
%     for j=1:6
%      if isnan(Vdag(i,j,2))
%          Vexcluded(i,j)=1;
%      elseif abs(Vdag(i,j,6))>abs(Vdag(i,j,2))      %Removing insignificant datapoints from plot
%          Vexcluded(i,j)=1;
%      end
%     end
% end
% 
% avgnu3=avgNU;
% avgnu3(25:48,:)=avgNU;
% avgnu3(49:72,:)=avgNU;
% 
% 
% for i=1:6
%     if max(max(abs(Udag(25:48,i,6))-abs(Udag(25:48,i,2))))>tol    
%         Tex(:,i)=Udag(:,i,3).*Uexcluded(:,i);
%         T(:,i)=Udag(:,i,3)-(-23.5:1:47.5)';
%         figure(i+30)
%         subplot(4,1,1)
%         plot(Tex(:,i),Udag(:,i,5)./avgnu3(:,i))
%         xlabel('time of day')
%         ylabel('n/avg(n)')
%         title(strcat('Relative number of meteors, ',datestr(DAY,formatOut2),' at ',heights(i,:),' km, U'))
%         subplot(4,1,4)
%         plot(-23.5:1:47.5,T(:,i));
%         xlabel('Hour of day')
%         ylabel('Deviation in time from centre of hour')
%         title(strcat('Hourly deviations from the centre of each hour through the day ',heights(i,:),' km'))
%         subplot(4,1,2)
%         plot(Tex(:,i),abs(Udag(:,i,6)))
%         title(strcat('Error induced by time deviation based on interpolant at ',heights(i,:),' km'))
%         ylabel('Error (m/s)')
%         xlabel('Time of day')
%         subplot(4,1,3)
%         plot(Tex(:,i),abs(Udag(:,i,6))-abs(Udag(:,i,2)))
%         title(strcat('Difference between the error induced by time deviation based on interpolant at ',heights(i,:),' km and the 2 sigma error of the wind speed at that time.'))
%         ylabel('Error (%)')
%         xlabel('Time of day')
%         saveas(figure(i+30),strcat(start,'collectivePlotU_',datestr(DAY,formatOut),'_',heights(i,:)),'fig')
%      end
%     
%     if max(max(abs(Vdag(25:48,i,6))-abs(Vdag(25:48,i,2))))>tol
%         Tex(:,i)=Vdag(:,i,3).*Vexcluded(:,i);
%         T(:,i)=Vdag(:,i,3)-(-23.5:1:47.5)';
%         figure(i+36)
%         subplot(4,1,1)
%         plot(Tex(:,i),Vdag(:,i,5)./avgnu3(:,i))
%         xlabel('time of day (h)')
%         ylabel('n/avg(n)')
%         title(strcat('Relative number of meteors, ',datestr(DAY,formatOut2),' at ',heights(i,:),' km, V'))
%         subplot(4,1,4)
%         plot(-23.5:1:47.5,T(:,i));
%         xlabel('Hour of day')
%         ylabel('Deviation in time from centre of hour')
%         title(strcat('Hourly deviations from the centre of each hour through the day ',heights(i,:),' km'))
%         subplot(4,1,2)
%         plot(Tex(:,i),abs(Vdag(:,i,6)))
%         title(strcat('Error induced by time deviation based on interpolant at ',heights(i,:),' km'))
%         ylabel('Error (m/s)')
%         xlabel('Time of day')
%         subplot(4,1,3)
%         plot(Tex(:,i),abs(Vdag(:,i,6))-abs(Vdag(:,i,2)))
%         title(strcat('Difference between the error induced by time deviation based on interpolant at ',heights(i,:),' km and the 2 sigma error of the wind speed at that time.'))
%         ylabel('Error (%)')
%         xlabel('Time of day')
%         saveas(figure(i+36),strcat(start,'collectivePlotV',datestr(DAY,formatOut),'_',heights(i,:)),'fig')
%     end    
% end
% 
