close all
clear all


formatOut='yyyymmdd';
start_date = datenum('10/01/2013'); %Deciding start and end date.
end_date = datenum('10/29/2013');
dates = (start_date:1:end_date);
N=length(dates);        % Number of days to evaluate


for Ncurr=1:N
    
date = datestr(dates(Ncurr),formatOut);
NAME=strcat('MPD/mp',date,'.trondheim.mpd');
FID=fopen(NAME);
FORMAT='%s%s%*s%f%f%f%f%f%f%f%f%f%f%f%f%f%f%f';
DATA = textscan(FID,FORMAT,'HeaderLines',29);
DATA{1,1}=strrep(DATA{1,1},'/','');
DATA{1,1}=str2double(DATA{1,1});
DATA{1,2}=strrep(DATA{1,2},':','');
DATA{1,2}=str2double(DATA{1,2});
DATA=cell2mat(DATA);
fclose(FID); 
name=strcat('UVerror2/',date);
getUV(DATA,name);

end


